| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
NetricsServerInterface.NetricsJoin Class Reference

This class is used to define a join relationship for a Patterns search. More...

## Public Member Functions
| NetricsJoin (String parent_tbl, int join_type, bool multi_parent, String[] aliases, String[] child_tables)
| Create a NetricsJoin object for searching related tables in an ibi™ Patterns - Search Server.
| NetricsJoin (String parent_tbl, int join_type, bool multi_parent)
| Create a NetricsJoin object for searching related tables in an ibi™ Patterns - Search Server.
void | addChild (String alias, String table_name)
| Add a child table to a join definition.

## Static Public Attributes
const int | JOIN_FULL_RECORDS_ONLY = 1
| Only full records, with no missing child records, are returned.
const int | JOIN_FULL_AND_PARTIAL = 3
| Full records, or records with one or more missing child records are returned.
const int | JOIN_FULL_AND_ORPHANS = 5
| Full records, or orphan child records are returned.
const int | JOIN_ALL_RECORD_TYPES = 7
| All records are returned: Full, records with missing child records and orphan child records.

## Detailed Description

This class is used to define a join relationship for a Patterns search.

See the discussion of joined searches in the ibi™ Patterns - Search Concepts Guide for more information on how to define and use a joined search.

## Constructor & Destructor Documentation

## ◆ NetricsJoin() [1/2]

NetricsServerInterface.NetricsJoin.NetricsJoin | ( | String | parent_tbl,
|  | int | join_type,
|  | bool | multi_parent,
|  | String[] | aliases,
|  | String[] | child_tables
| ) |  |
| inline

Create a NetricsJoin object for searching related tables in an ibi™ Patterns - Search Server.

Parameters

  parent_tbl | Name of the parent join table. Required.
  join_type | One of: JOIN_FULL_RECORDS_ONLY, JOIN_FULL_AND_PARTIALS, JOIN_FULL_AND_ORPHANS, or JOIN_ALL_RECORD_TYPES.
  multi_parent | If true, each record from the parent table may have multiple combinations returned in a search result set. If false, only the one best matching combination for each parent record is returned.
  aliases | Aliases for child tables. Required if a child table is specified more than once, otherwise optional. If present, must be the same length as child_tables. All alias names must be unique and may not be the same as the parent table name or a child table name that appears in a different location.
  child_tables | Names of child tables. These must be children of the parent_tbl. Required. Additional child tables and aliases may be specified using addChild.

## ◆ NetricsJoin() [2/2]

NetricsServerInterface.NetricsJoin.NetricsJoin | ( | String | parent_tbl,
|  | int | join_type,
|  | bool | multi_parent
| ) |  |
| inline

Create a NetricsJoin object for searching related tables in an ibi™ Patterns - Search Server.

This creates an incomplete join specification. The addChild method must be called to add one or more child tables before this join specification can be used in a search.

Parameters

  parent_tbl | Name of the parent join table. Required.
  join_type | One of: JOIN_FULL_RECORDS_ONLY, JOIN_FULL_AND_PARTIALS, JOIN_FULL_AND_ORPHANS, or JOIN_ALL_RECORD_TYPES.
  multi_parent | If true, each record from the parent table may have multiple combinations returned in a search result set. If false, only the one best matching combination for each parent record is returned.

## Member Function Documentation

## ◆ addChild()

void NetricsServerInterface.NetricsJoin.addChild | ( | String | alias,
|  | String | table_name
| ) |  |
| inline

Add a child table to a join definition.

Parameters

  alias | Alias of the child table. Required if an alias has already been used in the NetricsJoin object, or if child table is used multiple times. This can't be used if a child table has already been added without an alias.
  table_name | Name of the child table. Required.